Bug 984087 - setcifsacl should still work when plugin can't be loaded
setcifsacl should still work when plugin can't be loaded
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cifs-utils (Show other bugs)
rawhide
Unspecified Unspecified
medium Severity unspecified
: ---
: ---
Assigned To: Jeff Layton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 985067
  Show dependency treegraph
 
Reported: 2013-07-12 13:50 EDT by Jeff Layton
Modified: 2014-06-18 03:43 EDT (History)
5 users (show)

See Also:
Fixed In Version: cifs-utils-6.1-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 985067 (view as bug list)
Environment:
Last Closed: 2013-07-24 20:51:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Layton 2013-07-12 13:50:25 EDT
Currently setcifsacl just returns an error if it can't load the plugin. It should instead allow a user to supply a "raw" SID string in that case. getcifsacl will already print them, so it's just a matter of accepting them in reverse.
Comment 1 Fedora Update System 2013-07-15 11:59:34 EDT
cifs-utils-6.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cifs-utils-6.1-3.fc19
Comment 2 Fedora Update System 2013-07-16 23:05:57 EDT
Package cifs-utils-6.1-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cifs-utils-6.1-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13079/cifs-utils-6.1-3.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-07-24 20:51:01 EDT
cifs-utils-6.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.